Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMeshQuality Class Reference

`#include <vtkMeshQuality.h>`

Inheritance diagram for vtkMeshQuality:

[legend]
Collaboration diagram for vtkMeshQuality:

[legend]
List of all members.

## Detailed Description

calculate quality of tetrahedral meshes

Date:
  2002/10/22 16:02:39

Revision:
  1.3

vtkMeshQuality will calculate the normalized quality ratio of the cells in a tetrahedral mesh according to the equation:

ratio = (radius of circumscribed sphere)/(radius of inscribed sphere)/3.

The minumum (and ideal) quality ratio is 1.0 for regular tetrahedra, i.e. all sides of equal length. Larger values indicate poorer mesh quality. The resulting quality values (and the tetrahedron volumes) are set as the Scalars of the FieldData of the output.

Thanks:
  This class was developed by Leila Baghdadi, Hanif Ladak, and David Steinman at the Imaging Research Labs, Robarts Research Institute.

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (96%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkMeshQuality.cxx)`
  - .`h` (`/Graphics/vtkMeshQuality.h)`

Tests:
  vtkMeshQuality (Tests)

Definition at line 53 of file vtkMeshQuality.h.

## Public Types
typedef vtkDataSetToDataObjectFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetVolume (int)
virtual int | GetVolume ()
virtual void | VolumeOn ()
virtual void | VolumeOff ()
virtual void | SetRatio (int)
virtual int | GetRatio ()
virtual void | RatioOn ()
virtual void | RatioOff ()
## Static Public Methods
vtkMeshQuality * | New ()
int | IsTypeOf (const char *type)
vtkMeshQuality * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMeshQuality ()
| ~vtkMeshQuality ()
void | Execute ()
## Protected Attributes
int | Volume
int | Ratio

## Member Typedef Documentation

typedef vtkDataSetToDataObjectFilter vtkMeshQuality::Superclass

| Reimplemented from vtkDataSetToDataObjectFilter. Definition at line 57 of file vtkMeshQuality.h.

## Constructor & Destructor Documentation

vtkMeshQuality::vtkMeshQuality | ( |  | ) | `[protected]`

vtkMeshQuality::~vtkMeshQuality | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMeshQuality* vtkMeshQuality::New | ( |  | ) | `[static]`

| Instantiate the object to transform all data into a data object. Reimplemented from vtkDataSetToDataObjectFilter.

virtual const char* vtkMeshQuality::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataObjectFilter.

int vtkMeshQuality::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataObjectFilter.

virtual int vtkMeshQuality::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataObjectFilter.

vtkMeshQuality* vtkMeshQuality::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataObjectFilter.

void vtkMeshQuality::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataObjectFilter.

virtual void vtkMeshQuality::SetVolume | ( | int |  | ) | `[virtual]`

| Turn on/off the calculation of volume for each cell (Default: On). The volume the first component of the cell scalars in the output data.

virtual int vtkMeshQuality::GetVolume | ( |  | ) | `[virtual]`

| Turn on/off the calculation of volume for each cell (Default: On). The volume the first component of the cell scalars in the output data.

virtual void vtkMeshQuality::VolumeOn | ( |  | ) | `[virtual]`

| Turn on/off the calculation of volume for each cell (Default: On). The volume the first component of the cell scalars in the output data.

virtual void vtkMeshQuality::VolumeOff | ( |  | ) | `[virtual]`

| Turn on/off the calculation of volume for each cell (Default: On). The volume the first component of the cell scalars in the output data.

virtual void vtkMeshQuality::SetRatio | ( | int |  | ) | `[virtual]`

| Turn on/off the calculation of the quality ratio for each cell (Default: On). The ratio is 1 for a regular tetrahedron and greater than one for other tetrahedrons. The values are stored in the second component of the cell scalars in the output data, unless Volume calculation is off in which case the values are stored in the first scalar component.

virtual int vtkMeshQuality::GetRatio | ( |  | ) | `[virtual]`

| Turn on/off the calculation of the quality ratio for each cell (Default: On). The ratio is 1 for a regular tetrahedron and greater than one for other tetrahedrons. The values are stored in the second component of the cell scalars in the output data, unless Volume calculation is off in which case the values are stored in the first scalar component.

virtual void vtkMeshQuality::RatioOn | ( |  | ) | `[virtual]`

| Turn on/off the calculation of the quality ratio for each cell (Default: On). The ratio is 1 for a regular tetrahedron and greater than one for other tetrahedrons. The values are stored in the second component of the cell scalars in the output data, unless Volume calculation is off in which case the values are stored in the first scalar component.

virtual void vtkMeshQuality::RatioOff | ( |  | ) | `[virtual]`

| Turn on/off the calculation of the quality ratio for each cell (Default: On). The ratio is 1 for a regular tetrahedron and greater than one for other tetrahedrons. The values are stored in the second component of the cell scalars in the output data, unless Volume calculation is off in which case the values are stored in the first scalar component.

void vtkMeshQuality::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkDataSetToDataObjectFilter.

## Member Data Documentation

int vtkMeshQuality::Volume`[protected]`

| Definition at line 87 of file vtkMeshQuality.h.

int vtkMeshQuality::Ratio`[protected]`

| Definition at line 88 of file vtkMeshQuality.h.

The documentation for this class was generated from the following file:

- Graphics/vtkMeshQuality.h